Home » Php » Can't install composer – the json extension is missing

Can't install composer – the json extension is missing

Posted by: admin November 29, 2017 Leave a comment

Questions:

I’m trying to install composer on my Ubuntu 13.10 machine but the following error occurs:

Some settings on your machine make Composer unable to work properly.
Make sure that you fix the issues listed below and run this script again:

The json extension is missing.
Install it or recompile php without --disable-json

php --version gives me PHP 5.5.3-1ubuntu2 (cli) so I think it should have the json extension installed.

Answers:

just install the module:

sudo apt-get install php5-json

EDIT – Reason:

See Heanzo Beanzo Comment:

It has been removed in recent packages due to a license conflict see
bug on php.net
.

Leave a Reply

Your email address will not be published. Required fields are marked *